Get an installation
curl --request GET \
--url https://pushctl.com/api/v1/installations/{installationId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pushctl.com/api/v1/installations/{installationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pushctl.com/api/v1/installations/{installationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://pushctl.com/api/v1/installations/{installationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"installation_id": "<string>",
"device": {
"app_version": "<string>",
"os_version": "<string>",
"model": "<string>",
"locale": "<string>",
"timezone": "<string>"
},
"registered_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"identifier_updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"permission_updated_at": "2023-11-07T05:31:56Z",
"invalidated_at": "2023-11-07T05:31:56Z",
"invalid_reason": "<string>"
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Not Found"
}Installations
Get an installation
Returns an installation belonging to the authenticated application.
GET
/
api
/
v1
/
installations
/
{installationId}
Get an installation
Authorizations
Use an application-scoped token with the ability required by the endpoint.
Path Parameters
Stable client-generated installation identifier. Maximum 255 characters.
Maximum string length:
255Response
Installation found.
Show child attributes
Show child attributes
Was this page helpful?
⌘I